#!/usr/bin/python


from Tkinter import *
import tkFont # required to use Font objects!

from myglobal import g as Global



class fontselect :
    def OK(self):
        args = ''
        if  self.v1.get() : args = args + ' bold'
        if  self.v2.get() : args = args + ' italic'
        if  self.v3.get() : args = args + ' underline'
        fontname =  self.lb.get(self.lb.curselection())
        if args != '' : fontspec = (fontname,int(self.e.get()),args)
        else  : fontspec = (fontname,int(self.e.get()))
        police = tkFont.Font(font=fontspec)
        Global.police = fontspec
        self.tl.destroy()
        

    
    def test(self):
        args = ''
        if  self.v1.get() : args = args + ' bold'
        if  self.v2.get() : args = args + ' italic'
        if  self.v3.get() : args = args + ' underline'
        fontname =  self.lb.get(self.lb.curselection())
        if args != '' : fontspec = (fontname,int(self.e.get()),args)
        else  : fontspec = (fontname,int(self.e.get()))
        police = tkFont.Font(font=fontspec)
        self.lbl.configure(font=police)
        
    def __init__(self,parent):
        self.tl = Toplevel(parent)
        self.v1 = IntVar()
        self.v2 = IntVar()
        self.v3 = IntVar()
        self.lb = Listbox(self.tl)
        self.sb = Scrollbar(self.tl,command = self.lb.yview)
        self.lb.config(yscrollcommand=self.sb.set)
        self.cb1 = Checkbutton(self.tl,text="bold",variable = self.v1)
        self.cb2 = Checkbutton(self.tl,text="italic",variable = self.v2)
        self.cb3 = Checkbutton(self.tl,text="underline",variable = self.v3)
        self.e = Entry(self.tl);self.e.insert(0,'20')
        self.lbl = Label(self.tl,text="ABCDEFGHIJKLMNOPQRSTUVWXYZ\nabcdefgHijklmnopqrstuvwxyz\n!?:;,")
        self.b1 = Button(self.tl,text="Cancel",command = self.tl.destroy)
        self.b2 = Button(self.tl,text="OK",command=self.OK)
        self.b3 = Button(self.tl,text="Test",command=self.test)
        self.lb.grid(row=0,column=0,rowspan=4,sticky=E+W)
        self.sb.grid(row=0,column=1,rowspan=4,sticky=N+S+W)
        self.cb1.grid(row=0,column=2,sticky=W)
        self.cb2.grid(row=1,column=2,sticky=W)
        self.cb3.grid(row=2,column=2,sticky=W)
        self.e.grid(row=3,column=2,sticky=W)

        self.lbl.grid(row=4,column=0,columnspan=3)

        self.b1.grid(row=5,column=0)
        self.b2.grid(row=5,column=1)
        self.b3.grid(row=5,column=2)


        fontlist = tkFont.families()
        for f in fontlist :
            self.lb.insert(0,f)

    def run(self):
        self.tl.mainloop()



if __name__ == '__main__':
    root=Tk()
    fs = fontselect(root)
    fs.run()
    
